# TxnStatusResponse Endpoint

<mark style="color:blue;">**Biller server to Biller Protocol**</mark>

| Endpoint                                                              |
| --------------------------------------------------------------------- |
| <mark style="color:blue;">**Request:**</mark> POST /TxnStatusResponse |

<mark style="color:blue;">**Request Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type               | Description                                                                                                                                                                                                    |
| ------------------------------------------ | --------------------- | --------- | ----------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **\[ROOT]** (No parent property / element) | refId                 | M         | String                  | Unique identification assigned by the initiating BBPOU to unambiguously identify the transaction which is passed on, unchanged, throughout the entire end-to-end chain, binding the Fetch and Payment messages |
|                                            | errorCode             | C         | String                  | Error disposition                                                                                                                                                                                              |
|                                            | errorDescription      | C         | String                  | Error description                                                                                                                                                                                              |
|                                            | status                | M         | String                  | Satus f the transaction                                                                                                                                                                                        |
|                                            | tenantId              | M         | String Fixed length - 4 | Tenant id                                                                                                                                                                                                      |

<mark style="color:blue;">**Expected Acknowledgement Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type                               | Description                 |
| ------------------------------------------ | --------------------- | --------- | --------------------------------------- | --------------------------- |
| **\[ROOT]** (No parent property / element) | reason                | M         | String Min Length – 1, Max Length – 100 | Reason of the Status        |
|                                            | code                  | M         | String Fixed Length 3                   | Response code for a request |
|                                            | status                | M         | String Min Length – 1, Max Length – 100 | Status of given request     |

<mark style="color:blue;">**Json Formatted Request Example**</mark>

```json

{
"refId": "String", 
"errorCode": "String", 
"errorDescription": "String", 
"status": "String", 
"tenantId" : "String"
}
```

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json

{
"reason":"String",
"code":"Integer", "status":"String"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-biller-integration/bbps-api-list/status-402-api/txnstatusresponse-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
